<?php
/*

La plupart des fonctions de ce thème son désactivées
faites votre marché dans ce qui est proposé
Il y a du commentaire partout
*/


// ajouter le logo de site
//add_theme_support( 'custom-logo' );

// ajouter les images à la une
// et les formats d'image nécessaires au thème
add_theme_support( 'post-thumbnails' );


add_image_size( 'rectangle', 600, 400, true );
add_image_size( 'jumbo', 1200, 600, true );

// ajouter le menu
register_nav_menu( 'menu-principal', "Menu principal" );

// ajouter la possibilité de changer la couleur ou image de fond
add_theme_support( 'custom-background' );

// scette fonction permet de splitter le texte avec le fameux tag "more"
// pour plus de split, utiliser le script https://gist.github.com/mattberridge/4202188
function split_content() {
    global $more;
    $more = true;
    $content = preg_split('/<span id="more-\d+"><\/span>/i', get_the_content('more'));
    // first content section in column1
    $ret = '<div id="column1" class="column1">'. array_shift($content). '</div>';
    // remaining content sections in column2
    if (!empty($content)) $ret .= '<div id="column2" class="column2">'. implode($content). '</div>';
    return apply_filters('the_content', $ret);
}


// transformer le menu de base de wordpress
// en un menu pour bootstrap
// n'utiliser que si vous utilisez bootstrap
if ( ! class_exists( 'wp_bootstrap_navwalker' )) {
    require_once(get_template_directory() . '/assets/wp_bootstrap_navwalker.php');
}